security:
  oauth2:
    client:
      clientId: motp-service
      clientSecret: ${ACCOUNT_SERVICE_PASSWORD}
      accessTokenUri: http://${AUTH_HOST}:5000/uaa/oauth/token
      grant-type: client_credentials
      scope: server


spring:
  database:
    driverClassName: org.postgresql.Driver
  datasource:
    url: jdbc:postgresql://${MOTP_POSTGRES_HOST}:${POSTGRES_PORT}/${POSTGRES_DB}?user=${POSTGRES_USER}&password=${POSTGRES_PASSWORD}
    username: ${POSTGRES_USER}
    password: ${POSTGRES_PASSWORD}
    driverClassName: org.postgresql.Driver
    hikari:
      data-source-properties:
        cachePrepStmts: true
        prepStmtCacheSize: 250
        prepStmtCacheSqlLimit: 2048
        useServerPrepStmts: true
  jpa:
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    hibernate:
      ddl-auto: none
    show-sql: false
    properties:
      hibernate:
        temp:
          use_jdbc_metadata_defaults: false
  liquibase:
    change-log: classpath:/config/liquibase/master.xml
    enabled: true

server:
  servlet:
    context-path: /motp
  port: 7073

feign:
  hystrix:
    enabled: true

application:
  motp:
    motpDefaultURL: https://stable.ismotp.crptech.ru